package com.caimei.model.vo;

import com.caimei.model.po.ProductParamPo;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class ProductFormVo {
    @ApiModelProperty("商品id")
    private Integer productId;

    @ApiModelProperty("授权id")
    private Integer authId;

    @ApiModelProperty("品牌id")
    private Integer brandId;

    @ApiModelProperty("品牌名称")
    private String brandName;

    @ApiModelProperty("设备分类id")
    private Integer productTypeId;

    @ApiModelProperty("商品名称")
    private String productName;

    @ApiModelProperty("商品SN码")
    private String snCode;

    @ApiModelProperty("商品图片")
    private String productImage;

    @ApiModelProperty("授权牌照")
    private String certificateImage;

    @ApiModelProperty("原授权牌照")
    private String originalCertificateImage;

    @ApiModelProperty("是否生成二维码授权牌：0否，1是")
    private Integer addQrCodeFlag;

    @ApiModelProperty("生成二维码授权牌模板：1左下，2右边，3左边")
    private Integer addTemplateType;

    @ApiModelProperty("商品参数列表")
    private List<ProductParamPo> paramList;
}
